# Class Axes

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.FontLineShape
org.jmol.shape.Axes

public class Axes extends FontLineShape

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`axes2`
`final P3[]`
`axisPoints`
[x, y, z, -x, -y, -z] or [a, b, c, -a, -b, -c]
`String`
`axisType`
`P3`
`axisXY`
`P3`
`fixedOrigin`
`final P3`
`fixedOriginUC`
`String[]`
`labels`
`final P3`
`originPoint`
`float`
`scale`

### Fields inherited from class FontLineShape

`font3d, tickInfos`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Axes()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAxesState(SB sb)`
`P3`
`getAxisPoint(int i, boolean actual, P3 ptTemp)`
axisPoints are offset cartesian values.
`Object`
`getProperty(String property, int index)`
`void`
`initShape()`
`void`
`reinitShape()`
`void`
`setPoints(int axesMode)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class FontLineShape

`getShapeState, setPropFLS`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### axisXY

public P3 axisXY

### scale

public float scale

### fixedOrigin

public P3 fixedOrigin

### originPoint

public final P3 originPoint

### axisPoints

public final P3[] axisPoints
[x, y, z, -x, -y, -z] or [a, b, c, -a, -b, -c]

### labels

public String[] labels

### axisType

public String axisType

### axes2

public String axes2

### fixedOriginUC

public final P3 fixedOriginUC

## Constructor Details

### Axes

public Axes()

## Method Details

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### initShape

public void initShape()

Overrides:
  `initShape` in class `FontLineShape`

### setPoints

public void setPoints(int axesMode)

### reinitShape

public void reinitShape()

### getAxisPoint

public P3 getAxisPoint(int i, boolean actual, P3 ptTemp)
axisPoints are offset cartesian values. Get actual point or relative 1/2 vector from origin to this point

Parameters:
  `i` -
  `actual` -
  `ptTemp` -
Returns:
  actual point if not a data frame and not an XY request; otherwise return 1/2 vector along unit cell

### getProperty

public Object getProperty(String property, int index)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `index` -
Returns:
  true if serviced

### getAxesState

public String getAxesState(SB sb)